Get Inventory Trees

Get Inventory Trees
List Available Views

List all available inventory tree views

Request
URI
GET
https://{api_host}/api/ni/inventory-trees
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns InventoryTreeList of type(s) application/json
{
    "trees": [
        {
            "tree_type": "HOSTS_CLUSTER",
            "name": "string",
            "children": [
                {
                    "name": "HOSTS_CLUSTER",
                    "node_id": "string",
                    "node_type": "string",
                    "vm_property": "string",
                    "children_count": 0
                }
            ]
        }
    ]
}
array of object
trees
Optional

trees


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/inventory-trees